﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;
using System.Xml.Serialization;
using System.IO;

namespace PhoneBook.Classes
{
    public class SerializationController
    {
        List<Person> people = new List<Person>();

        //Serialization
        public void Save(string path)
        {
            using (var writer = XmlWriter.Create(path + "\\PhoneBook\\settings.xml"))
            {
                var root = new XmlRootAttribute("People");
                var xs = new XmlSerializer(typeof(Person), root);
                foreach (var person in people)
                    xs.Serialize(writer, person);
            }
        }

        //Deserialization
        public void Load(string path)
        {
            var stream = File.OpenRead(path);
            XmlReader reader = XmlReader.Create(stream);
            try
            {
                var root = new XmlRootAttribute("People");
                XmlSerializer serializer = new XmlSerializer(typeof(Person), root);
                do
                {
                    Person p = (Person)serializer.Deserialize(reader);   //???
                    people.Add(p);
                }
                while (reader.Read());
            }
            catch
            {
                return;
            }
            finally
            {
                stream.Close();
                reader.Close();
            }
        }


    }
}
